API Reference

Combos

5 endpoints· Auth: JWT or API Key
get/api/v1/console/combos JWT API Key

Get combos

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/combos" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/combos JWT API Key

Create combos

Request body

application/json
{
  "name": "string",
  "sellingPrice": 0,
  "categoryId": "00000000-0000-0000-0000-000000000000",
  "children": [
    {
      "childProductId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0
    }
  ]
}
name
string
—
sellingPrice
integer (int64)
—
categoryId
string (uuid)
—
children
ComboChildRequest[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/combos" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "sellingPrice": 0,
  "categoryId": "00000000-0000-0000-0000-000000000000",
  "children": [
    {
      "childProductId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/combos/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/combos/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/console/combos/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "sellingPrice": 0,
  "children": [
    {
      "childProductId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0
    }
  ],
  "active": false
}
sellingPrice
integer (int64)
—
children
ComboChildRequest[]
—
active
boolean
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/combos/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "sellingPrice": 0,
  "children": [
    {
      "childProductId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0
    }
  ],
  "active": false
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/combos/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/combos/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu